--- a/mbed_host_tests/host_tests_conn_proxy/conn_proxy.py
+++ b/mbed_host_tests/host_tests_conn_proxy/conn_proxy.py
@@ -16,8 +16,6 @@
 limitations under the License.
 """
 
-from past.builtins import basestring
-
 import re
 import sys
 import uuid
--- a/setup.py
+++ b/setup.py
@@ -58,4 +58,4 @@
                         "requests",
                         "mbed-ls>=1.0.0",
                         "intelhex",
-                        "future"])
+                        ])
